<? session_start();
if  ($_SESSION[LOG]!='ON')
{header("Location:acoes.php?cnpj=00000&destino=upload.php");}

  $_SESSION[cliente]='1';
?>

<html>
<head>
<script language="JavaScript">
<!--
function confirma()
{
 if (window.confirm("Rodar Script ?"))
 {
	location.href = 'Lista1.html?$valorx' ;
  }	
}

function teste(){
if (document.upload.arquivo.value=="") {
alert("Arquivo para script não informado!")
document.upload.arquivo.focus()
return false
}
}
//-->
</script>
<title>Carga de script</title>
</head>
<body>
<?
include("config.php");
include("conexao_sinsweb.php");
/*
INICIO DO CODIGO PHP
NA METADE DE BAIXO (SEGUNDA METADE) HA SOMENTE HTML (FORMULARIO DE UPLOAD)
*/
 
if (isset($_FILES[arquivo])) {
	if ($_FILES[arquivo][size] > 1024 * 1024) {
		$tamanho = round(($_FILES[arquivo][size] / 1024 / 1024), 2);
		$med = "MB";
	} else if ($_FILES[arquivo][size] > 1024) {
		$tamanho = round(($_FILES[arquivo][size] / 1024), 2);
		$med = "KB";
	} else {
		$tamanho = $_FILES[arquivo][size];
		$med = "Bytes";
	}
 

	/* Defina aqui o diretório destino do upload */
 
	if (is_file($_FILES[arquivo][tmp_name])) {
		$arquivo = $_FILES[arquivo][tmp_name];
		$caminho="./upload/";
		$caminho=$caminho.$_FILES[arquivo][name];
 
		/* Defina aqui o tipo de arquivo suportado */
		if (!(eregi(".php$", $_FILES[arquivo][name]))) {
				copy($arquivo,$caminho) or
					die("<p>Erro durante a manipula&ccedil;&atilde;o do arquivo '$arquivo'</p>".'<p><a href="'.$_SERVER["PHP_SELF"].'">Voltar</a></p>');
			print "<h3><center>Arquivo enviado com sucesso! " .  $tamanho . ' ' . $med . "</center></h3>";
		} else {
			print "<h3><center>Arquivo n&atilde;o enviado!</center></h3>\n";
			print "<h4><font color='#FF0000'><center>Caminho ou nome de arquivo Inv&aacute;lido!</center></font></h4>";
		}
	}
	echo("<h2><BR>Arquivo: $caminho [<a href='$caminho'>download</a>]</h2><br>");
//	echo("<input type='button' value='Continuar...' name='B1' onClick='confirma()'>");
	rodaScript($caminho);
}

function rodaScript($caminho)
{
echo("<h2><BR>AGUARDE!! Vou rodar o script do arquivo:".$caminho."</h2><br>");
$nome_do_arquivo = $caminho; // Nome do Arquivo a ser usado

$file = Array();

$file = file($nome_do_arquivo);  //Pega Cada Linha e Joga na Matriz $arquivo

$prepara = "";  // Cria a Variavel $prepara

foreach($file as $v) $prepara.=$v;  //executa um loop pegando cada valor da Matriz e concatenando na variavel $prepara

$sql = explode(";",$prepara); //  Divide a variavel em varios pedaços independente de instruçoes SQL'S tiverem no arquivo, separando por ponto e virgula, criando assim a matriz $sql

foreach($sql as $v) mysql_query($v);  // Executa um Loop Retornando cada valor da matriz $sql, q está em $v, ou seja cada valor do $v é uma instrução sql diferente

echo("<br> FIM ::");
header("Location:index.php","_top");

}


?>
<h2>Carregar Script</h2><br>
 
<p>
<form name="upload" action="" method="post" enctype="multipart/form-data" onSubmit="return teste()">
<input type="file" name="arquivo" size="60">
</p>
 
<p>
  <input type="submit" name="enviar" value="Upload!">
  <br>
</p>
</form>
</body>
</html>